LocatedStripedBlock (Apache Hadoop HDFS Client 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocol, class: LocatedStripedBlock

Package org.apache.hadoop.hdfs.protocol

# Class LocatedStripedBlock

java.lang.Object
org.apache.hadoop.hdfs.protocol.LocatedBlock
org.apache.hadoop.hdfs.protocol.LocatedStripedBlock

@Private @Evolving public class LocatedStripedBlock extends LocatedBlock
`LocatedBlock` with striped block support. For a striped block, each datanode storage is associated with a block in the block group. We need to record the index (in the striped block group) for each of them.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocatedStripedBlock(ExtendedBlock b, DatanodeInfo[] locs, String[] storageIDs, org.apache.hadoop.fs.StorageType[] storageTypes, byte[] indices, long startOffset, boolean corrupt, DatanodeInfo[] cachedLocs)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getBlockIndices()`
  `org.apache.hadoop.security.token.Token<BlockTokenIdentifier>[]`
  `getBlockTokens()`
  `BlockType`
  `getBlockType()`
  `boolean`
  `isStriped()`
  `void`
  `setBlockIndices(byte[] blockIndices)`
  `void`
  `setBlockTokens(org.apache.hadoop.security.token.Token<BlockTokenIdentifier>[] tokens)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.hdfs.protocol.LocatedBlock

  `addCachedLoc, getBlock, getBlockSize, getBlockToken, getCachedLocations, getLocations, getStartOffset, getStorageIDs, getStorageTypes, isCorrupt, moveProvidedToEnd, setBlockToken, setCorrupt, setStartOffset, updateCachedStorageInfo`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LocatedStripedBlock

    public LocatedStripedBlock(ExtendedBlock b, DatanodeInfo[] locs, String[] storageIDs, org.apache.hadoop.fs.StorageType[] storageTypes, byte[] indices, long startOffset, boolean corrupt, DatanodeInfo[] cachedLocs)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `LocatedBlock`

  - ### getBlockIndices

    public byte[] getBlockIndices()

  - ### setBlockIndices

    public void setBlockIndices(byte[] blockIndices)

  - ### isStriped

    public boolean isStriped()
    Overrides:
      `isStriped` in class `LocatedBlock`

  - ### getBlockType

    public BlockType getBlockType()
    Overrides:
      `getBlockType` in class `LocatedBlock`

  - ### getBlockTokens

    public org.apache.hadoop.security.token.Token<BlockTokenIdentifier>[] getBlockTokens()

  - ### setBlockTokens

    public void setBlockTokens(org.apache.hadoop.security.token.Token<BlockTokenIdentifier>[] tokens)